Package Details: guitarix-git 0.36.1.r16.g51ba3d2b-1

Git Clone URL: https://aur.archlinux.org/guitarix-git.git (read-only)
Package Base: guitarix-git
Description: A virtual guitar amplifier for Linux
Upstream URL: http://guitarix.sourceforge.net
Keywords: amplifier emulation guitar lv2 pro-audio tube
Licenses: GPL
Conflicts: guitarix, guitarix2, gx_head
Provides: guitarix, guitarix2, gx_head
Submitter: None
Maintainer: Gimmeapill
Last Packager: Gimmeapill
Votes: 11
Popularity: 0.000014
First Submitted: 2012-04-13 09:51
Last Updated: 2018-01-25 20:11

Pinned Comments

Gimmeapill commented on 2017-12-03 20:10

This package will automatically retrieve and build the latest development snapshot of Guitarix from git.

It does not need to be updated on every release, so please do not flag out of date unless the build itself breaks or in case of an actual packaging issue.

If you are looking for the latest official release instead, see https://www.archlinux.org/packages/community/x86_64/guitarix2/

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Ralf_Mardorf commented on 2017-07-01 17:47

Hi,

for testing purpose, could you please remove webkitgtk2 from the PKGBUILD, perhaps completely or by changing it to webkit2gtk? I can't test it, since one of my packages requires webkitgtk2 [1].

However, the official guitarix2 PKGBUILD from the "extra" repository doesn't mention webkit at all, see my post at https://sourceforge.net/p/guitarix/bugs/39/ .

My guess is that migrating to webkit2gtk doesn't work, but likely removing webkitgtk2 is automatically noticed by the configuration check, to build without webkit.

Regards,
Ralf

[1]
[rocketmouse@archlinux ~]$ cd /tmp
[rocketmouse@archlinux tmp]$ yaourt -Qs webkit
local/gambas3-gb-qt4-webkit 3.9.2-1 (gambas3)
Qt4 toolkit webkit component
community/gambas3-gb-qt5-webkit 3.9.2-7 (gambas3)
Qt5 toolkit webkit component
extra/kdewebkit 5.35.0-1 (kf5)
KDE Integration for QtWebKit
extra/qt5-webkit 5.212.0alpha2-2 (qt qt5)
Classes for a WebKit2 based implementation and a new QML API
local/qtwebkit 2.3.4-5
An open source web browser engine (Qt port)
extra/webkit2gtk 2.16.5-1
GTK+ Web content engine library
local/webkitgtk 2.4.11-6
Legacy Web content engine for GTK+ 3
local/webkitgtk2 2.4.11-6
Legacy Web content engine for GTK+ 2
[rocketmouse@archlinux tmp]$ asp checkout guitarix2 > /dev/null
Cloning into '/tmp/guitarix2'...
done.
[rocketmouse@archlinux tmp]$ cd guitarix2/trunk/
[rocketmouse@archlinux trunk]$ makepkg -s
[snip]
Checking for webkit-1.0 : yes
[snip]
[rocketmouse@archlinux trunk]$ sudo pacman -Rss gambas3-gb-qt4-webkit qtwebkit webkitgtk webkitgtk2
[sudo] password for rocketmouse:
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: typhoon: removing webkitgtk breaks dependency 'webkitgtk3'
:: wxsvg: removing webkitgtk2 breaks dependency 'webkitgtk2'
:: xombrero: removing webkitgtk breaks dependency 'webkitgtk'

eduardomezencio commented on 2017-07-01 05:48

It looks like webkitgtk2 is in AUR now

Gimmeapill commented on 2017-06-30 08:52

@Ralf_Mardorf: Thanks. I believe webkitgtk2 *might* be used only by the web interface, and according to the configuration file it is not listed as mandatory:
https://sourceforge.net/p/guitarix/git/ci/master/tree/trunk/wscript

I cannot test right now, but you may be able to disable it by adding:
"--HAVE_WEBKIT=0"
to the python2 waf configure options

Ralf_Mardorf commented on 2017-06-30 07:21

See 2017-01-19 https://git.archlinux.org/svntogit/packages.git/log/trunk?h=packages/claws-mail&showmsg=1 .
See https://wiki.archlinux.org/index.php/List_of_applications/Internet#WebKit-based which links to https://blogs.gnome.org/mcatanzaro/2016/02/01/on-webkit-security-updates/ .

eduardomezencio commented on 2017-06-30 06:03

It looks like the package webkitgtk2, dependency of this package, does not exist anymore.

Gimmeapill commented on 2017-02-09 21:26

@razer: I couldn't reproduce the issue, but you're right: that's more likely a typo that was in the pkgbuild for a while. Updated (thanks for the heads up).

razer commented on 2017-02-09 08:51

Unable to build it today, bad source url :
git+git:// changed to git+https:// in source url to get it working

Joermungand commented on 2016-05-16 07:13

A fix was pushed upstream addressing the issue. Guitarix builds just fine now.

SpotlightKid commented on 2016-05-13 12:25

I get the same error. It's probably caused by the recent switch to GCC 6.1.

Gimmeapill commented on 2016-05-13 06:10

Ok guys, I got it (had to clean my own cache ;-)).
But still no clue about that gcc error, so I raised a question upstream:
http://guitarix.sourceforge.net/forum/viewtopic.php?f=12&t=4718